#-- start of make_header -----------------

#====================================
#  Application cmt
#
#   Generated Sun Oct 24 19:06:09 2004  by ARNAULT
#
#====================================

#include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_cmt_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_cmt_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_cmt

CMT_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_cmt = /tmp/CMT_$(CMT_tag)_cmt.make$(cmt_lock_pid)
else
cmt_local_tagfile_cmt = $(CMT_tag)_cmt.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

CMT_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_cmt = /tmp/CMT_$(CMT_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_cmt = $(CMT_tag).make
endif

endif

#-include $(cmt_local_tagfile_cmt)

ifdef cmt_cmt_has_target_tag

ifdef READONLY
cmt_final_setup_cmt = /tmp/CMT_CMT_cmt_setup.make
cmt_local_cmt_makefile = /tmp/CMT_cmt$(cmt_lock_pid).make
else
cmt_final_setup_cmt = $(bin)CMT_cmt_setup.make
cmt_local_cmt_makefile = $(bin)cmt.make
endif

else

ifdef READONLY
cmt_final_setup_cmt = /tmp/CMT_CMT_setup.make
cmt_local_cmt_makefile = /tmp/CMT_cmt$(cmt_lock_pid).make
else
cmt_final_setup_cmt = $(bin)CMT_setup.make
cmt_local_cmt_makefile = $(bin)cmt.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_CMT_setup.make
else
cmt_final_setup = $(bin)CMT_setup.make
endif

cmt ::


ifdef READONLY
cmt ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'cmt'

#-- end of make_header ------------------
#-- start of application_header

cmt :: dirs  $(bin)cmt${application_suffix}
	@/bin/echo "------> cmt ok"

#-- end of application_header
#-- start of application

$(bin)cmt${application_suffix} :: $(bin)cmt.o $(bin)cmt_awk.o $(bin)cmt_branch.o $(bin)cmt_constituent.o $(bin)cmt_deps_builder.o $(bin)cmt_fragment.o $(bin)cmt_generator.o $(bin)cmt_include.o $(bin)cmt_parser.o $(bin)cmt_script.o $(bin)cmt_string.o $(bin)cmt_system.o $(bin)cmt_tag.o $(bin)cmt_use.o $(bin)cmt_symbol.o $(bin)cmt_error.o $(bin)cmt_pattern.o $(bin)cmt_language.o $(bin)cmt_cvs.o $(bin)cmt_group.o $(bin)cmt_database.o $(bin)cmt_lock.o $(bin)cmt_triggers.o $(bin)cmt_regexp.o $(bin)cmt_model.o $(bin)cmt_project.o $(bin)cmt_syntax.o $(bin)cmt_install_area.o $(bin)cmt_cmtpath_pattern.o $(bin)cmt_sequence.o $(bin)cmt_generators.o $(bin)cmt_scope_section.o $(bin)cmt_log.o $(bin)cmt_commands.o $(use_stamps) $(cmtstamps) requirements $(use_requirements)
	$(link_echo) $@
	$(link_silent) cd $(bin); $(cpplink) -o cmt.exe.new $(bin)cmt.o $(bin)cmt_awk.o $(bin)cmt_branch.o $(bin)cmt_constituent.o $(bin)cmt_deps_builder.o $(bin)cmt_fragment.o $(bin)cmt_generator.o $(bin)cmt_include.o $(bin)cmt_parser.o $(bin)cmt_script.o $(bin)cmt_string.o $(bin)cmt_system.o $(bin)cmt_tag.o $(bin)cmt_use.o $(bin)cmt_symbol.o $(bin)cmt_error.o $(bin)cmt_pattern.o $(bin)cmt_language.o $(bin)cmt_cvs.o $(bin)cmt_group.o $(bin)cmt_database.o $(bin)cmt_lock.o $(bin)cmt_triggers.o $(bin)cmt_regexp.o $(bin)cmt_model.o $(bin)cmt_project.o $(bin)cmt_syntax.o $(bin)cmt_install_area.o $(bin)cmt_cmtpath_pattern.o $(bin)cmt_sequence.o $(bin)cmt_generators.o $(bin)cmt_scope_section.o $(bin)cmt_log.o $(bin)cmt_commands.o $(use_linkopts) $(cmtlinkopts); mv -f cmt.exe.new cmt${application_suffix}

###
### Preparing for next management of use_linkopts and auto_imports :
###  will use  <constituent>_use_linkopts instead of use_linkopts
###
###    $(link_silent) cd $(bin); \
###      $(cpplink) -o cmt.exe.new $(bin)cmt.o $(bin)cmt_awk.o $(bin)cmt_branch.o $(bin)cmt_constituent.o $(bin)cmt_deps_builder.o $(bin)cmt_fragment.o $(bin)cmt_generator.o $(bin)cmt_include.o $(bin)cmt_parser.o $(bin)cmt_script.o $(bin)cmt_string.o $(bin)cmt_system.o $(bin)cmt_tag.o $(bin)cmt_use.o $(bin)cmt_symbol.o $(bin)cmt_error.o $(bin)cmt_pattern.o $(bin)cmt_language.o $(bin)cmt_cvs.o $(bin)cmt_group.o $(bin)cmt_database.o $(bin)cmt_lock.o $(bin)cmt_triggers.o $(bin)cmt_regexp.o $(bin)cmt_model.o $(bin)cmt_project.o $(bin)cmt_syntax.o $(bin)cmt_install_area.o $(bin)cmt_cmtpath_pattern.o $(bin)cmt_sequence.o $(bin)cmt_generators.o $(bin)cmt_scope_section.o $(bin)cmt_log.o $(bin)cmt_commands.o \
###      $(cmt_use_linkopts) $(cmtlinkopts); \
###      mv -f cmt.exe.new cmt${application_suffix}
###	 $(link_silent) cd $(bin); $(cpplink) -o cmt.exe.new $(bin)cmt.o $(bin)cmt_awk.o $(bin)cmt_branch.o $(bin)cmt_constituent.o $(bin)cmt_deps_builder.o $(bin)cmt_fragment.o $(bin)cmt_generator.o $(bin)cmt_include.o $(bin)cmt_parser.o $(bin)cmt_script.o $(bin)cmt_string.o $(bin)cmt_system.o $(bin)cmt_tag.o $(bin)cmt_use.o $(bin)cmt_symbol.o $(bin)cmt_error.o $(bin)cmt_pattern.o $(bin)cmt_language.o $(bin)cmt_cvs.o $(bin)cmt_group.o $(bin)cmt_database.o $(bin)cmt_lock.o $(bin)cmt_triggers.o $(bin)cmt_regexp.o $(bin)cmt_model.o $(bin)cmt_project.o $(bin)cmt_syntax.o $(bin)cmt_install_area.o $(bin)cmt_cmtpath_pattern.o $(bin)cmt_sequence.o $(bin)cmt_generators.o $(bin)cmt_scope_section.o $(bin)cmt_log.o $(bin)cmt_commands.o $(cmt_use_linkopts) $(cmtlinkopts); mv -f cmt.exe.new cmt${application_suffix}



#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/bin
cmtinstallname = cmt${application_suffix}

cmt :: cmtinstall

install :: cmtinstall

cmtinstall :: $(install_dir)/$(cmtinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(cmtinstallname) :: $(bin)$(cmtinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "`(cd $(bin); pwd)`" "$(cmtinstallname)" "$(install_dir)" "$(cmt_installarea_command)" ; \
	fi

cmtclean :: cmtuninstall

uninstall :: cmtuninstall

cmtuninstall ::
	@echo "------> (cmt.make) Removing installed files"
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$(PACKAGE_ROOT)/$(tag)" "$(cmtinstallname)" "$(install_dir)" ; \
	fi

#-- end of application
#-- start of dependency ------------------

$(bin)cmt_dependencies.make :: dirs

ifndef QUICK
$(bin)cmt_dependencies.make :: ../source/cmt.cxx ../source/cmt_awk.cxx ../source/cmt_branch.cxx ../source/cmt_constituent.cxx ../source/cmt_deps_builder.cxx ../source/cmt_fragment.cxx ../source/cmt_generator.cxx ../source/cmt_include.cxx ../source/cmt_parser.cxx ../source/cmt_script.cxx ../source/cmt_string.cxx ../source/cmt_system.cxx ../source/cmt_tag.cxx ../source/cmt_use.cxx ../source/cmt_symbol.cxx ../source/cmt_error.cxx ../source/cmt_pattern.cxx ../source/cmt_language.cxx ../source/cmt_cvs.cxx ../source/cmt_group.cxx ../source/cmt_database.cxx ../source/cmt_lock.cxx ../source/cmt_triggers.cxx ../source/cmt_regexp.cxx ../source/cmt_model.cxx ../source/cmt_project.cxx ../source/cmt_syntax.cxx ../source/cmt_install_area.cxx ../source/cmt_cmtpath_pattern.cxx ../source/cmt_sequence.cxx ../source/cmt_generators.cxx ../source/cmt_scope_section.cxx ../source/cmt_log.cxx ../source/cmt_commands.cxx  requirements $(use_requirements) $(cmt_final_setup_cmt)
	@echo "------> (cmt.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) cmt $${args}
endif

#$(cmt_dependencies)

-include $(bin)cmt_dependencies.make

#-- end of dependency -------------------
#-- start of cpp ------

$(bin)cmt.o : $(cmt_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_cppflags) $(cmt_cxx_cppflags) -I../source ../source/cmt.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_awk.o : $(cmt_awk_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_awk.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_awk_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_awk_cppflags) $(cmt_awk_cxx_cppflags) -I../source ../source/cmt_awk.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_branch.o : $(cmt_branch_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_branch.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_branch_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_branch_cppflags) $(cmt_branch_cxx_cppflags) -I../source ../source/cmt_branch.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_constituent.o : $(cmt_constituent_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_constituent.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_constituent_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_constituent_cppflags) $(cmt_constituent_cxx_cppflags) -I../source ../source/cmt_constituent.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_deps_builder.o : $(cmt_deps_builder_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_deps_builder.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_deps_builder_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_deps_builder_cppflags) $(cmt_deps_builder_cxx_cppflags) -I../source ../source/cmt_deps_builder.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_fragment.o : $(cmt_fragment_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_fragment.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_fragment_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_fragment_cppflags) $(cmt_fragment_cxx_cppflags) -I../source ../source/cmt_fragment.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_generator.o : $(cmt_generator_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_generator.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_generator_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_generator_cppflags) $(cmt_generator_cxx_cppflags) -I../source ../source/cmt_generator.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_include.o : $(cmt_include_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_include.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_include_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_include_cppflags) $(cmt_include_cxx_cppflags) -I../source ../source/cmt_include.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_parser.o : $(cmt_parser_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_parser.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_parser_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_parser_cppflags) $(cmt_parser_cxx_cppflags) -I../source ../source/cmt_parser.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_script.o : $(cmt_script_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_script.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_script_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_script_cppflags) $(cmt_script_cxx_cppflags) -I../source ../source/cmt_script.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_string.o : $(cmt_string_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_string.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_string_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_string_cppflags) $(cmt_string_cxx_cppflags) -I../source ../source/cmt_string.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_system.o : $(cmt_system_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_system.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_system_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_system_cppflags) $(cmt_system_cxx_cppflags) -I../source ../source/cmt_system.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_tag.o : $(cmt_tag_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_tag.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_tag_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_tag_cppflags) $(cmt_tag_cxx_cppflags) -I../source ../source/cmt_tag.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_use.o : $(cmt_use_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_use.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_use_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_use_cppflags) $(cmt_use_cxx_cppflags) -I../source ../source/cmt_use.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_symbol.o : $(cmt_symbol_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_symbol.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_symbol_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_symbol_cppflags) $(cmt_symbol_cxx_cppflags) -I../source ../source/cmt_symbol.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_error.o : $(cmt_error_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_error.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_error_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_error_cppflags) $(cmt_error_cxx_cppflags) -I../source ../source/cmt_error.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_pattern.o : $(cmt_pattern_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_pattern.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_pattern_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_pattern_cppflags) $(cmt_pattern_cxx_cppflags) -I../source ../source/cmt_pattern.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_language.o : $(cmt_language_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_language.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_language_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_language_cppflags) $(cmt_language_cxx_cppflags) -I../source ../source/cmt_language.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_cvs.o : $(cmt_cvs_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_cvs.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_cvs_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_cvs_cppflags) $(cmt_cvs_cxx_cppflags) -I../source ../source/cmt_cvs.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_group.o : $(cmt_group_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_group.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_group_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_group_cppflags) $(cmt_group_cxx_cppflags) -I../source ../source/cmt_group.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_database.o : $(cmt_database_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_database.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_database_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_database_cppflags) $(cmt_database_cxx_cppflags) -I../source ../source/cmt_database.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_lock.o : $(cmt_lock_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_lock.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_lock_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_lock_cppflags) $(cmt_lock_cxx_cppflags) -I../source ../source/cmt_lock.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_triggers.o : $(cmt_triggers_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_triggers.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_triggers_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_triggers_cppflags) $(cmt_triggers_cxx_cppflags) -I../source ../source/cmt_triggers.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_regexp.o : $(cmt_regexp_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_regexp.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_regexp_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_regexp_cppflags) $(cmt_regexp_cxx_cppflags) -I../source ../source/cmt_regexp.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_model.o : $(cmt_model_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_model.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_model_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_model_cppflags) $(cmt_model_cxx_cppflags) -I../source ../source/cmt_model.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_project.o : $(cmt_project_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_project.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_project_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_project_cppflags) $(cmt_project_cxx_cppflags) -I../source ../source/cmt_project.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_syntax.o : $(cmt_syntax_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_syntax.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_syntax_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_syntax_cppflags) $(cmt_syntax_cxx_cppflags) -I../source ../source/cmt_syntax.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_install_area.o : $(cmt_install_area_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_install_area.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_install_area_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_install_area_cppflags) $(cmt_install_area_cxx_cppflags) -I../source ../source/cmt_install_area.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_cmtpath_pattern.o : $(cmt_cmtpath_pattern_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_cmtpath_pattern.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_cmtpath_pattern_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_cmtpath_pattern_cppflags) $(cmt_cmtpath_pattern_cxx_cppflags) -I../source ../source/cmt_cmtpath_pattern.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_sequence.o : $(cmt_sequence_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_sequence.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_sequence_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_sequence_cppflags) $(cmt_sequence_cxx_cppflags) -I../source ../source/cmt_sequence.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_generators.o : $(cmt_generators_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_generators.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_generators_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_generators_cppflags) $(cmt_generators_cxx_cppflags) -I../source ../source/cmt_generators.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_scope_section.o : $(cmt_scope_section_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_scope_section.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_scope_section_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_scope_section_cppflags) $(cmt_scope_section_cxx_cppflags) -I../source ../source/cmt_scope_section.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_log.o : $(cmt_log_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_log.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_log_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_log_cppflags) $(cmt_log_cxx_cppflags) -I../source ../source/cmt_log.cxx

#-- end of cpp ------
#-- start of cpp ------

$(bin)cmt_commands.o : $(cmt_commands_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o cmt_commands.o $(use_pp_cppflags) $(cmt_pp_cppflags) $(app_cmt_pp_cppflags) $(cmt_commands_pp_cppflags) $(use_cppflags) $(cmt_cppflags) $(app_cmt_cppflags) $(cmt_commands_cppflags) $(cmt_commands_cxx_cppflags) -I../source ../source/cmt_commands.cxx

#-- end of cpp ------
#-- start of cleanup_header --------------

clean :: cmtclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

cmtclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_application ------
	@echo "------> (cmt.make) Removing application files"
	-$(cleanup_echo) cmt${application_suffix}
	-@cd $(bin); /bin/rm -f cmt${application_suffix}
#-- end of cleanup_application ------
#-- start of cleanup_objects ------
	$(cleanup_echo) objects
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)cmt.o $(bin)cmt_awk.o $(bin)cmt_branch.o $(bin)cmt_constituent.o $(bin)cmt_deps_builder.o $(bin)cmt_fragment.o $(bin)cmt_generator.o $(bin)cmt_include.o $(bin)cmt_parser.o $(bin)cmt_script.o $(bin)cmt_string.o $(bin)cmt_system.o $(bin)cmt_tag.o $(bin)cmt_use.o $(bin)cmt_symbol.o $(bin)cmt_error.o $(bin)cmt_pattern.o $(bin)cmt_language.o $(bin)cmt_cvs.o $(bin)cmt_group.o $(bin)cmt_database.o $(bin)cmt_lock.o $(bin)cmt_triggers.o $(bin)cmt_regexp.o $(bin)cmt_model.o $(bin)cmt_project.o $(bin)cmt_syntax.o $(bin)cmt_install_area.o $(bin)cmt_cmtpath_pattern.o $(bin)cmt_sequence.o $(bin)cmt_generators.o $(bin)cmt_scope_section.o $(bin)cmt_log.o $(bin)cmt_commands.o
#-- end of cleanup_objects ------
